// MFEditorDemoView.cpp --- Copyright (c) 1987-2009 by Design Science, Inc.
// purpose : implementation of the CMFEditorDemoView class

#include "stdafx.h"
#include "MFEditorDemo.h"

#include "MFEditorDemoDoc.h"
#include "MFEditorDemoView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMFEditorDemoView

IMPLEMENT_DYNCREATE(CMFEditorDemoView, CView)

BEGIN_MESSAGE_MAP(CMFEditorDemoView, CView)
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CMFEditorDemoView construction/destruction

CMFEditorDemoView::CMFEditorDemoView()
{
	// TODO: add construction code here

}

CMFEditorDemoView::~CMFEditorDemoView()
{
}

BOOL CMFEditorDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CMFEditorDemoView drawing

void CMFEditorDemoView::OnDraw(CDC* /*pDC*/)
{
	CMFEditorDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}


// CMFEditorDemoView printing

BOOL CMFEditorDemoView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMFEditorDemoView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CMFEditorDemoView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}


// CMFEditorDemoView diagnostics

#ifdef _DEBUG
void CMFEditorDemoView::AssertValid() const
{
	CView::AssertValid();
}

void CMFEditorDemoView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMFEditorDemoDoc* CMFEditorDemoView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMFEditorDemoDoc)));
	return (CMFEditorDemoDoc*)m_pDocument;
}
#endif //_DEBUG


// CMFEditorDemoView message handlers
