// MFEditorDemoView.h --- Copyright (c) 1987-2009 by Design Science, Inc.
// purpose: interface of the CMFEditorDemoView class

#pragma once


class CMFEditorDemoView : public CView
{
protected: // create from serialization only
	CMFEditorDemoView();
	DECLARE_DYNCREATE(CMFEditorDemoView)

// Attributes
public:
	CMFEditorDemoDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CMFEditorDemoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in MFEditorDemoView.cpp
inline CMFEditorDemoDoc* CMFEditorDemoView::GetDocument() const
   { return reinterpret_cast<CMFEditorDemoDoc*>(m_pDocument); }
#endif

